Subject: Re: question regarding inter-domain-pd-path-comp

From: JP Vasseur <[email-masked]>
Date: Thu, 9 Feb 2006 10:29:45 -0500

Hi Faisal,

Thanks for your comments - see in line,

On Jan 17, 2006, at 8:32 AM, Faisal Aslam wrote:

> Hi,
> I have a question about that per-domain path computation and also  
> want to indicate few minor mistakes in the draft. It important for  
> me, that you answer my questions because I am middle of something.
>
> *** Question
>
> At page 7, case-1, when the next-hop is NOT present in TED and  
> suppose that policy suggest to use stitching (or nesting), then why  
> you cannot dynamically create H-LSP/S-LSP, after successfully  
> finding domain exit-point using auto-discovery (with crankback),  
> just like it is allowed to do this in case-2? Is it a writing mistake?
>
The confusion was probably cause by the format of the paragraph:

A 2) If the next-hop boundary LSR is present in the TED.

should actually read:

2) Once the next-hop boundary LSR has been determined (according to  
the procedure described in 1)) or if the next-hop boundary is present  
in the TED.

That will remove the confusion. Thanks.

> ** Comments About draft
>
> T0 is named for inter-area LSP at page 6 but by mistake it is  
> referred as T1 at 4.1.1 (page 10) and also at 4.1.2 (page 11). At  
> both places it should be change with T0 because inter-AS is  
> referred as T1.
> [RFC2702] not enlisted in the references at the end of draft but  
> mention at page 5.
> [LSP-STITCHING] reference says “work under progress” it should be  
> “work in progress”
> [LOOSE-REOPT] is written on page 13 but enlisted in references as  
> (on page 17) as [LOOSE-PATH-REOPT]
> [LSP-HIER] reference mention draft-ietf-mpls-lsp- 
> hierachy-“08.txt” . I think you should eliminate 08.txt, because  
> draft number is not specified in other references. The [LSP- 
> STITCHING] reference has similar problem.
> At page 10, while giving example 2 you write R0-X1-“ASR1”-ABR3.  
> Here ASR1 should be ABR1.
> While explaining 4.1.1 Case1, you specify ABR1 without defining it  
> first. I suggest that change following line.  “R0 then computes the  
> path to reach the selected next hop ABR and signals the path  
> message” to “R0 then computes the path to reach the selected next  
> hop ABR (ABR1) and signals the path message”
Thanks (all fixed).

JP.
> Faisal Aslam